using System;
using System.IO;

namespace Sasa.Wiki.Core
{
    public class WikiCreoleParser : IWikiParser
    {
        public IWikiSyntaxTree Parse(Stream stream)
        {
            using (StreamReader reader = new StreamReader(stream))
            {
                string contents = reader.ReadToEnd();
                return Parse(contents);
            }
        }

        internal IWikiSyntaxTree Parse(string contents)
        {
            WikiSyntaxTree syntaxTree = new WikiSyntaxTree();

            return syntaxTree;
        }
    }
}
